CREATE OR REPLACE VIEW V_STORITVE AS (
	SELECT M.ID_STORITVE, M.ID_DN, M.ID_POGODBE, M.ID_VPS, M.VRSTA, M.ID_LASTNIKA, M.ID_PLOVILA, M.STORITEV, M.KAT, M.TIMEKAT, M.PROCKAT, M.DATUM_OD, M.DATUM_DO, M.KOLICINA, M.POPUST, M.OPIS_SERVIS,
  M.ZNESEK, M.VALUTA, M.TECAJ, M.DAVEK, M.N_PONUDBE, M.N_RACUNA, M.DATUM_RACUNA, M.ZAKLJUCEN, M.KOMENTAR, M.DATUM_KREIRANJA, M.USER_KREIRANJA, M.DATUM_SPREMEMBE, M.USER_SPREMEMBE, M.TIP_SERVIS, M.AUTO,
  M.POPUST1, M.POPUST2, M.NAMENP, M.NAMENP1, M.NAMENP2, M.TECAJP, M.DODATNA_STORITEV, M.DOMACA_VALUTA, M.PROVIZIJA, M.DRZAVA, M.SKUPAJ_OSEB, M.ID_KAT, M.PROVIZIJA_DELITEV, M.ID_REZERVACIJE, M.CUSTOM,
  M.CPROVIZIJA, M.SERVICE_COST, M.COMPLETE, M.KOLICINA_INSTR, M.ID_STORITVE_GEN, M.ID_BATCH, M.ID_SALDKONT, M.ID_LASTNIKA_ORG, M.NNLOCATION_ID, M.MIN_FEE, M.ID_LASTNIK_LEASE, 
  M.NCARD, M.FULL_AMOUNT, M.SERVICE_TIME, M.ID_PRIVEZ, M.SUBLEASE_PAYMENT, M.ID_DAVEK, M.LASTNIK_LEASE_PROCENT, M.ID_REZERVACIJE_CHARTER, M.ID_SERVICE_TEMPLATE, M.CAS_OD, M.CAS_DO, M.USER_COMMENT, M.SERVICE_COMMENT,
  NS.OPIS AS NNSTOMAR_OPIS, NS.INTERNI_OPIS AS NNSTOMAR_INTERNI_OPIS, NS.DAVEK AS NNSTOMAR_DAVEK, NS.KAT AS NNSTOMAR_KAT, NS.TIMEKAT AS NNSTOMAR_TIMEKAT, NS.ENOTA AS NNSTOMAR_ENOTA, NS.FILTER AS NNSTOMAR_FILTER,
  NS.DEPARTURE_CHECK AS NNSTOMAR_DEPARTURE_CHECK,
  NNE.OPIS AS NNSTOMAR_ENOTA_OPIS, NNE.INTERNI_OPIS AS NNSTOMAR_ENOTA_INTERNI_OPIS, MDN.DATUM_DN AS M_DE_NA_DATUM_DN, MDN.TERMIN_DO AS M_DE_NA_TERMIN_DO, MDN.STEVILKA AS M_DE_NA_STEVILKA,
  MDN.STATUS AS M_DE_NA_STATUS, MDN.ORG_STATUS AS M_DE_NA_ORG_STATUS, 
  KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK, PL.IME AS PLOVILA_IME,
  
  -- Service values
  SV.NETO_DOMACA_VREDNOST,
  SV.NETO_DOMACA_VREDNOST + (SV.NETO_DOMACA_VREDNOST * (NVL(M.DAVEK, 0) / 100)) AS BRUTO_DOMACA_VREDNOST,
  SV.NETO_DOMACA_VREDNOST / (SELECT NVL(LAST_MIDDLE_RATE, 1) FROM V_FOREIGN_RATE) AS NETO_TUJA_VREDNOST,
  (SV.NETO_DOMACA_VREDNOST + (SV.NETO_DOMACA_VREDNOST * (NVL(M.DAVEK, 0) / 100))) / (SELECT NVL(LAST_MIDDLE_RATE, 1) FROM V_FOREIGN_RATE) AS BRUTO_TUJA_VREDNOST
  
	FROM M_STORITVE M
  LEFT OUTER JOIN V_STORITVE_VALUE SV ON SV.ID_STORITVE = M.ID_STORITVE
  LEFT OUTER JOIN M_NNSTOMAR NS ON NS.SIFRA = M.STORITEV
  LEFT OUTER JOIN NNENOTE NNE ON NNE.SIFRA = NS.ENOTA
  LEFT OUTER JOIN M_DE_NA MDN ON MDN.ID_DN = M.ID_DN
  LEFT OUTER JOIN KUPCI KU ON KU.ID = M.ID_LASTNIKA
  LEFT OUTER JOIN PLOVILA PL ON PL.ID = M.ID_PLOVILA
);

CREATE OR REPLACE VIEW V_M_VZORCI_PS AS (
  SELECT M.ID, M.LETO, M.ID1, M.STORITEV, M.KAT, M.TIMEKAT, M.PROCKAT, M.DATUM_ZACETKA, M.DATUM_KONCA, M.ID_VPS, M.ID_POGODBE, M.SKUPAJ, M.DATUM_OBRACUNA, M.OBRACUNANO, M.POPUST, M.DAVEK, M.KOLICINA, M.POPUST1, M.POPUST2, M.KOMENTAR, M.DOMACA_VALUTA,
  M.PROVIZIJA, M.TECAJ, M.STORNO, M.AUTO, M.DODATNA_STORITEV, M.DATUM_PONUDBE, M.KOLICINA_INSTR, M.ZAPOREDJE, M.AUTO_CREATE_METHOD, M.AUTO_CREATE_DAY, M.NEXT_AUTO_DATE, M.ACTIVE, M.AMOUNT_DAY, M.AMOUNT_MONTH, M.NAMENP, M.NAMENP1, M.NAMENP2, M.ID_PRIVEZ,
  M.DATUM_KREIRANJA, M.DATUM_SPREMEMBE, M.USER_KREIRANJA, M.USER_SPREMEMBE, M.ID_DAVEK, M.USER_COMMENT, M.SERVICE_COMMENT,
  NS.OPIS AS NNSTOMAR_OPIS, NS.INTERNI_OPIS AS NNSTOMAR_INTERNI_OPIS, NS.DAVEK AS NNSTOMAR_DAVEK, NS.KAT AS NNSTOMAR_KAT, NS.TIMEKAT AS NNSTOMAR_TIMEKAT, NS.ENOTA AS NNSTOMAR_ENOTA, NS.FILTER AS NNSTOMAR_FILTER
  FROM M_VZORCI_PS M
  LEFT OUTER JOIN M_NNSTOMAR NS ON NS.SIFRA = M.STORITEV
);

ALTER TABLE NNLOCATION
ADD MERCHANT_UUID VARCHAR2(30 CHAR);

ALTER TABLE NNLOCATION
ADD API_KEY VARCHAR2(30 CHAR);

ALTER TABLE NNLOCATION
ADD API_PASSPHRASE VARCHAR2(30 CHAR);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1153, SYSDATE, '5.5', 1073, 'Service comment in MW')
;