CREATE TABLE LONG_OPERATION_TYPE (
	CODE VARCHAR2(3 CHAR) NOT NULL,
	DESCRIPTION VARCHAR2(100 CHAR),
	INTERNAL_DESCRIPTION VARCHAR2(100 CHAR),
	CONSTRAINT LONG_OPERATION_TYPE_PK PRIMARY KEY (CODE)
);

INSERT INTO LONG_OPERATION_TYPE(CODE, DESCRIPTION, INTERNAL_DESCRIPTION) VALUES
('IPG', 'Invoice PDF generation', 'Invoice PDF generation');

CREATE TABLE LONG_OPERATION (
	ID_LONG_OPERATION NUMBER NOT NULL,
	TYPE VARCHAR2(3 CHAR),
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CREATED DATE,
	DATE_STARTED DATE,
	DATE_ENDED DATE,
	STATUS NUMBER,
	EXECUTION_COUNTER NUMBER,
	NUMBER_OF_EXECUTIONS NUMBER,
	ID_BATCH NUMBER,
	CONSTRAINT LONG_OPERATION_TYPE_FK FOREIGN KEY (TYPE) REFERENCES LONG_OPERATION_TYPE(CODE),
	CONSTRAINT LONG_OPERATION_PK PRIMARY KEY (ID_LONG_OPERATION)
);

CREATE SEQUENCE LONG_OPERATION_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE LONG_OPERATION_DETAIL (
	ID_LONG_OPERATION_DETAIL NUMBER NOT NULL,
	ID_LONG_OPERATION NUMBER,
	ID_REFERENCE NUMBER,
	TABLE_REFERENCE VARCHAR2(40 CHAR),
	STATUS NUMBER,
	STATUS_MESSAGE VARCHAR2(1000 CHAR),
	CONSTRAINT LOD_ID_LONG_OPERATION_FK FOREIGN KEY (ID_LONG_OPERATION) REFERENCES LONG_OPERATION(ID_LONG_OPERATION),
	CONSTRAINT LONG_OPERATION_DETAIL_PK PRIMARY KEY (ID_LONG_OPERATION_DETAIL)
);

CREATE SEQUENCE LONG_OPERATION_DETAIL_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1309, SYSDATE, '5.5', 1229, 'Long operation')
;