CREATE TABLE CHECKLIST_TYPE (
  ID_CHECKLIST_TYPE NUMBER NOT NULL,
  DESCRIPTION VARCHAR2(200 CHAR),
  ACTIVE VARCHAR2(1 CHAR),
  CONSTRAINT CHECKLIST_TYPE_PK PRIMARY KEY (ID_CHECKLIST_TYPE)
);

CREATE SEQUENCE CHECKLIST_TYPE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE CHECKLIST (
  ID_CHECKLIST NUMBER NOT NULL,
  ID_TYPE NUMBER,
  NAME VARCHAR2(100 CHAR),
  DESCRIPTION VARCHAR2(250 CHAR),
  MANAGER VARCHAR2(20 CHAR),
  NNLOCATION_ID NUMBER,
  ACTIVE VARCHAR2(1 CHAR),
  CONSTRAINT CHECKLIST_PK PRIMARY KEY (ID_CHECKLIST),
  CONSTRAINT CHECKLIST_CHECKLIST_TYPE_FK FOREIGN KEY (ID_TYPE) REFERENCES CHECKLIST_TYPE(ID_CHECKLIST_TYPE)
);

CREATE INDEX IX_CHECKLIST_ID_TYPE ON CHECKLIST (ID_TYPE);

CREATE SEQUENCE CHECKLIST_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_CHECKLIST AS (
  SELECT C.ID_CHECKLIST, C.ID_TYPE, C.NAME, C.DESCRIPTION, C.MANAGER, C.NNLOCATION_ID, C.ACTIVE,
  CT.DESCRIPTION AS TYPE_DESCRIPTION, NU.USER_ AS NUSER_USER
  FROM CHECKLIST C
  LEFT OUTER JOIN CHECKLIST_TYPE CT ON CT.ID_CHECKLIST_TYPE = C.ID_TYPE
  LEFT OUTER JOIN NUSER NU ON NU.NUSER = C.MANAGER
);

ALTER TABLE CHECKLIST
ADD ID_QUESTIONNAIRE NUMBER;

INSERT INTO QUESTIONNAIRE_TYPE(ID, OPIS, INTERNI_OPIS, ACT) 
VALUES (8, 'Checklist', 'Checklist', 'Y');

ALTER TABLE MAINTENANCE_TASK
ADD ID_CHECKLIST NUMBER;

ALTER TABLE MAINTENANCE_TASK
ADD ID_QUESTION_ANSWER_CHECKLIST NUMBER;

CREATE OR REPLACE VIEW V_MAINTENANCE_TASK AS (
SELECT M.ID_MAINTENANCE_TASK, M.ID_TYPE, M.ID_STATUS, M.ID_ASSET, M.ID_DN, M.ID_CHECKLIST, M.ID_QUESTION_ANSWER_CHECKLIST, M.NNLOCATION_ID, M.DATE_FROM, M.DATE_TO, M."COMMENT",
MT.DESCRIPTION AS TYPE_DESCRIPTION, MT.TYPE AS MAIN_TYPE_CODE, MS.DESCRIPTION AS STATUS_DESCRIPTION, MS.COLOR AS STATUS_COLOR, MS.TEXT_COLOR AS STATUS_TEXT_COLOR, A.NAME AS ASSET_NAME, C.NAME AS CHECKLIST_NAME
FROM MAINTENANCE_TASK M
LEFT OUTER JOIN MAINTENANCE_TYPE MT ON MT.ID_MAINTENANCE_TYPE = M.ID_TYPE
LEFT OUTER JOIN MAINTENANCE_STATUS MS ON MS.ID_MAINTENANCE_STATUS = M.ID_STATUS
LEFT OUTER JOIN ASSET A ON A.ID_ASSET = M.ID_ASSET
LEFT OUTER JOIN CHECKLIST C ON C.ID_CHECKLIST = M.ID_CHECKLIST
);

INSERT INTO NNGRUSTO(NGRUPA, OPIS, SLO, GB, INTERNI_OPIS)
VALUES('AAM', 'Assets and maintenance', 'Assets and maintenance', 'Assets and maintenance', 'Assets and maintenance');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1476, SYSDATE, '5.5', 1396, 'Checklists')
;