ALTER TABLE NNPRIVEZ
MODIFY (OBJEKT VARCHAR2(10 CHAR));

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNOBJEKT', 'OBJECT_TYPE', 'CAMPERVAN', 'CAMPERVAN', 'CAMPERVAN', 'SEA', 'CAMPERVAN');

ALTER TABLE REZERVAC
ADD NTIP VARCHAR2(2 CHAR);

-- Popravek pogleda V_REZERVAC, dodana povezava stolpcev NNTIP z REZERVAC.NTIP
CREATE OR REPLACE VIEW V_REZERVAC AS (
  SELECT R.ID, D.ID_REZERVAC_DETAIL, R.ID_POGODBE, D.DATUM_OD AS DATUM_REZERVACIJE, D.DATUM_DO,
  NP.OBJEKT AS NOBJEKT, NP.N_PRIVEZA AS PRIVEZ, D.ID_PRIVEZ, R.VRSTA, D.STATUS_REZERVAC, R.ID_LASTNIKA, R.ID_PLOVILA, NNO.OBJECT_TYPE, 
  (CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.NAZIV ELSE K.PRIIMEK END) AS NAZIV,
  (CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.PRIIMEK ELSE K.PRIIMEK END) AS PRIIMEK,
  (CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.IME ELSE K.IME END) AS IME, K.SALDAKONTI_SIT,
  (CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.PLOVILO ELSE P.IME END) AS PLOVILO,
  (CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.DOLZINA ELSE P.DOLZINA END) AS DOLZINA,
  (CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.SIRINA ELSE P.SIRINA END) AS SIRINA,
  (CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.GREZ ELSE P.GREZ END) AS GREZ,
  (CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.NTIP ELSE P.NTIP END) AS NTIP,
  (CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.OPIS ELSE NT.OPIS END) AS TIP_PLOVILA_LONG,
  (CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.NNTIP_TYPE ELSE NT.NNTIP_TYPE END) AS NNTIP_TYPE,
  (CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.BARVA ELSE NT.BARVA END) AS BARVA,
  (CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.SVG_OBLIKA_TOP ELSE NT.SVG_OBLIKA_TOP END) AS SVG_OBLIKA_TOP,
  (CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.SVG_OBLIKA_FRONT ELSE NT.SVG_OBLIKA_FRONT END) AS SVG_OBLIKA_FRONT
  FROM REZERVAC R
  JOIN REZERVAC_DETAIL D ON R.ID=D.ID_REZERVAC
  LEFT OUTER JOIN NNPRIVEZ NP ON D.ID_PRIVEZ=NP.ID_PRIVEZ
  LEFT OUTER JOIN KUPCI K ON K.ID = R.ID_LASTNIKA
  LEFT OUTER JOIN PLOVILA P ON P.ID = R.ID_PLOVILA
  LEFT OUTER JOIN NNTIP NT ON NT.SIFRA = P.NTIP
  LEFT OUTER JOIN NNTIP NTR ON NTR.SIFRA = R.NTIP
  LEFT OUTER JOIN NNOBJEKT NNO ON NNO.SIFRA = NP.OBJEKT
  WHERE R.STORNO IS NULL AND R.DATUM_DO IS NOT NULL
);

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(398, SYSDATE, '5.5', 318, 'Dodan tip plovila na rezervacije');